## pymt 0.5.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = 
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) sources

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf build/*

html:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex:
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

=== debian/changelog ===
pymt (0.5.1-0ubuntu3) natty; urgency=low

  * Build-depend on python-all-dev.
  * Don't hard-code python versions in debian/rules.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 23:17:15 +0100

pymt (0.5.1-0ubuntu2) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 15:09:08 +0000

pymt (0.5.1-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #631957)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 07 Sep 2010 16:21:19 +1000

pymt (0.5-0ubuntu2) maverick; urgency=low

  * debian/control:
    - Use Standards-Version 3.9.1
    - python-pymt is arch any - it has libraries now
    - python-pymt depends on ttf-dejavu-core
  * debian/rules:
  * debian/patches/01_use_system_deja_vu_font.patch:
    - Use system installed DejaVuSans (LP: #597455)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 19 Aug 2010 13:12:55 +1000

pymt (0.5-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - Add build-depends on python-numpy, python-dev, cython, libgl1-mesa-dev
    - Drop python-numeric, python-imaging, python-cairo depends (python-pygame
      is sufficient)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 13 Aug 2010 16:07:28 +1000

pymt (0.4-0ubuntu1) maverick; urgency=low

  * Initial release (LP: #594912)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 22 Jun 2010 11:09:34 +1000

=== debian/control ===
Source: pymt
Section: python
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               cdbs,
               python-all-dev,
               python-support,
               python-numpy,
               python-dev,
               cython,
               libgl1-mesa-dev
Standards-Version: 3.9.1
Homepage: http://pymt.txzone.net/
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/pymt/ubuntu

Package: python-pymt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends},
         python-opengl,
         python-pygame,
         python-numpy,
         python-gst0.10,
         ttf-dejavu-core
XB-Python-Version: ${python:Versions}         
Description: Python multi-touch library
 PyMT is an open source library for developing multi-touch applications. It is
 completely cross platform (Linux/OSX/Win) and released under the terms of the
 GNU LGPL.
 .
 It comes with native support for many multi-touch input devices, a growing
 library of multi-touch aware widgets, hardware accelerated OpenGL drawing, and
 an architecture that is designed to let you focus on building custom and highly
 interactive applications as quickly and easily as possible.
 .
 Since PyMT is a pure Python library, you can take advantage of its highly
 dynamic nature and use any of the thousands of high quality and open source
 python libraries out there.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

binary-install/python-pymt::
	# Use the system installed font instead
	rm debian/python-pymt/usr/lib/python*/*-packages/pymt/data/DejaVuSans.ttf

=== debian/watch ===
version=2
http://pypi.python.org/packages/source/P/PyMT/ \
	PyMT-(.*)\.tar\.gz \
	debian uupdate

## pymt permamodel-0.2.2

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os, webbrowser, sys

try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

BROWSER := python -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/
	find . -name '.pytest_cache' -exec rm -fr {} +

lint: ## check style with flake8
	flake8 pymt_permamodel

pretty:
	find pymt_permamodel -name '*.py' | xargs isort
	black setup.py pymt_permamodel

test-frostnumber: clean-test
	bmi-test pymt_permamodel.bmi:FrostNumber --config-file=${PWD}/examples/Frostnumber_example_singlesite_singleyear.cfg --root-dir=examples -vvv

test-ku: clean-test
	bmi-test pymt_permamodel.bmi:Ku --config-file=${PWD}/examples/Ku_method.cfg --root-dir=examples -vvv

test-kuenhanced: clean-test
	bmi-test pymt_permamodel.bmi:KuEnhanced --config-file=${PWD}/examples/Ku_bmi_example_config.toml --root-dir=examples -vvv

test: test-frostnumber test-ku test-kuenhanced ## run tests quickly with the default Python

test-all: ## run tests on every Python version with tox
	tox

coverage: ## check code coverage quickly with the default Python
	coverage run --source pymt_permamodel -m pytest
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

docs: ## generate Sphinx HTML documentation, including API docs
	rm -f docs/pymt_permamodel.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ pymt_permamodel
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(BROWSER) docs/_build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

release: dist ## package and upload a release
	twine upload dist/*

dist: clean ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	pip install -e .

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = pymt_permamodel
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
